Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PATCH

Update a warehouse

Scope: inventory:warehouses.write https://api.alladdin.com/api/v2/warehouses/{warehouseId}

Updates an existing warehouse. You can change the name, contact information, and address.
The default warehouse flag cannot be changed via this endpoint.

Parameters

Path parameters

warehouseId string required

Warehouse ID (24-char hex ObjectId)

Request body

object name string email string | null phone string | null mobile string | null default boolean address object | null address string | null city string | null province string | null postal_code string | null country string | null country_code string | null

Request

python
import requests

url = "https://api.alladdin.com/api/v2/warehouses/{warehouseId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "email": "string",
    "phone": "string",
    "mobile": "string",
    "default": false,
    "address": {
        "address": "string",
        "city": "string",
        "province": "string",
        "postal_code": "string",
        "country": "string",
        "country_code": "string"
    }
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Warehouse updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Warehouse not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json

← PreviousCreate a warehouse →

Next →List all warehouses →